]> git.saurik.com Git - wxWidgets.git/blobdiff - configure
Regerate with djgpp fixes
[wxWidgets.git] / configure
index d977b1a333c53aaef56dcf8dd45d27592d1a7fce..67217a1bc6fd174d51c3c68190eed2013a65fdbe 100755 (executable)
--- a/configure
+++ b/configure
@@ -1053,7 +1053,7 @@ Optional Features:
 Optional Packages:
   --with-PACKAGE[=ARG]    use PACKAGE [ARG=yes]
   --without-PACKAGE       do not use PACKAGE (same as --with-PACKAGE=no)
-  --with-gtk              use GTK+
+  --with-gtk[=VERSION]    use GTK+, VERSION can be 2 (default), 1 or "any"
   --with-motif            use Motif/Lesstif
   --with-mac              use Mac OS X
   --with-cocoa            use Cocoa
@@ -1726,6 +1726,8 @@ SO_SUFFIX=so
 SAMPLES_RPATH_FLAG=
 SAMPLES_RPATH_POSTLINK=
 
+DEFAULT_STD_FLAG=yes
+
 case "${host}" in
   *-hp-hpux* )
     USE_HPUX=1
@@ -1929,6 +1931,7 @@ _ACEOF
     PROGRAM_EXT=".exe"
     RESCOMP=windres
     DEFAULT_DEFAULT_wxUSE_MSW=1
+    DEFAULT_STD_FLAG=no
   ;;
 
   *-pc-msdosdjgpp )
@@ -1972,6 +1975,7 @@ _ACEOF
     done
     export PATH="$ac_TEMP_PATH"
     unset ac_TEMP_PATH
+    DEFAULT_STD_FLAG=no
   ;;
 
   powerpc-*-darwin* )
@@ -1991,12 +1995,14 @@ _ACEOF
 _ACEOF
 
     DEFAULT_DEFAULT_wxUSE_MAC=1
+    DEFAULT_STD_FLAG=no
   ;;
   powerpc-apple-macos* )
         USE_UNIX=0
             ac_cv_c_bigendian=yes
     SO_SUFFIX=shlib
             DEFAULT_DEFAULT_wxUSE_MAC=1
+    DEFAULT_STD_FLAG=no
   ;;
 
   *-*-beos* )
@@ -2264,16 +2270,16 @@ else
   DEFAULT_wxUSE_LIBXPM=yes
   DEFAULT_wxUSE_LIBMSPACK=yes
   DEFAULT_wxUSE_LIBSDL=no
-  DEFAULT_wxUSE_LIBGNOMEPRINT=yes
+  DEFAULT_wxUSE_LIBGNOMEPRINT=no
   DEFAULT_wxUSE_ODBC=no
-  DEFAULT_wxUSE_OPENGL=yes
+  DEFAULT_wxUSE_OPENGL=no
 
   DEFAULT_wxUSE_ON_FATAL_EXCEPTION=yes
   DEFAULT_wxUSE_STACKWALKER=yes
   DEFAULT_wxUSE_DEBUGREPORT=yes
   DEFAULT_wxUSE_SNGLINST_CHECKER=yes
-  DEFAULT_wxUSE_STD_IOSTREAM=yes
-  DEFAULT_wxUSE_STD_STRING=yes
+  DEFAULT_wxUSE_STD_IOSTREAM=$DEFAULT_STD_FLAG
+  DEFAULT_wxUSE_STD_STRING=$DEFAULT_STD_FLAG
   DEFAULT_wxUSE_CMDLINE_PARSER=yes
   DEFAULT_wxUSE_DATETIME=yes
   DEFAULT_wxUSE_TIMER=yes
@@ -2402,7 +2408,7 @@ else
   DEFAULT_wxUSE_POPUPWIN=yes
   DEFAULT_wxUSE_TIPWINDOW=yes
 
-  DEFAULT_wxUSE_UNICODE=yes
+  DEFAULT_wxUSE_UNICODE=no
   DEFAULT_wxUSE_UNICODE_MSLU=yes
   DEFAULT_wxUSE_WCSRTOMBS=no
 
@@ -2425,12 +2431,18 @@ fi
 
 
 
+
 for toolkit in `echo $ALL_TOOLKITS`; do
   LINE=`grep "wxUSE_$toolkit=" ${wx_arg_cache_file}`
   if test "x$LINE" != "x" ; then
     has_toolkit_in_cache=1
     eval "DEFAULT_$LINE"
     eval "CACHE_$toolkit=1"
+
+    LINE=`grep "wx${toolkit}_VERSION=" ${wx_arg_cache_file}`
+    if test "x$LINE" != "x" ; then
+        eval "DEFAULT_$LINE"
+    fi
   fi
 done
 
@@ -2704,48 +2716,12 @@ echo "${ECHO_T}no" >&6
           fi
 
 
-
-         enablestring=
-          echo "$as_me:$LINENO: checking for --${enablestring:-enable}-gtk2" >&5
-echo $ECHO_N "checking for --${enablestring:-enable}-gtk2... $ECHO_C" >&6
-          no_cache=0
-          # Check whether --enable-gtk2 or --disable-gtk2 was given.
+# Check whether --enable-gtk2 or --disable-gtk2 was given.
 if test "${enable_gtk2+set}" = set; then
   enableval="$enable_gtk2"
-
-                          if test "$enableval" = yes; then
-                            ac_cv_use_gtk2='wxUSE_GTK2=yes'
-                          else
-                            ac_cv_use_gtk2='wxUSE_GTK2=no'
-                          fi
-
-else
-
-                          LINE=`grep "wxUSE_GTK2" ${wx_arg_cache_file}`
-                          if test "x$LINE" != x ; then
-                            eval "DEFAULT_$LINE"
-                          else
-                            no_cache=1
-                          fi
-
-                          ac_cv_use_gtk2='wxUSE_GTK2='$DEFAULT_wxUSE_GTK2
-
+  wxUSE_GTK2="$enableval"
 fi;
 
-          eval "$ac_cv_use_gtk2"
-          if test "$no_cache" != 1; then
-            echo $ac_cv_use_gtk2 >> ${wx_arg_cache_file}.tmp
-          fi
-
-          if test "$wxUSE_GTK2" = yes; then
-            echo "$as_me:$LINENO: result: yes" >&5
-echo "${ECHO_T}yes" >&6
-          else
-            echo "$as_me:$LINENO: result: no" >&5
-echo "${ECHO_T}no" >&6
-          fi
-
-
          enablestring=
           echo "$as_me:$LINENO: checking for --${enablestring:-enable}-gpe" >&5
 echo $ECHO_N "checking for --${enablestring:-enable}-gpe... $ECHO_C" >&6
@@ -10484,6 +10460,7 @@ if test "$wxUSE_WINE" = "yes"; then
     wxUSE_SHARED=no
 fi
 
+
 if test "$wxUSE_GUI" = "yes"; then
 
     if test "$USE_BEOS" = 1; then
@@ -10496,7 +10473,15 @@ echo "$as_me: error: BeOS GUI is not supported yet, use --disable-gui" >&2;}
             for toolkit in `echo $ALL_TOOLKITS`; do
         var=wxUSE_$toolkit
         eval "value=\$${var}"
-        eval "$var=`echo \$value | sed -e "s/yes/1/" -e "s/no/0/"`"
+        if test "x$value" = "xno"; then
+          eval "$var=0"
+        elif test "x$value" != "x"; then
+          eval "$var=1"
+        fi
+
+        if test "x$value" != "x" -a "x$value" != "xyes" -a "x$value" != "xno"; then
+          eval "wx${toolkit}_VERSION=$value"
+        fi
       done
     else
             for toolkit in `echo $ALL_TOOLKITS`; do
@@ -10504,6 +10489,11 @@ echo "$as_me: error: BeOS GUI is not supported yet, use --disable-gui" >&2;}
           var=DEFAULT_DEFAULT_wxUSE_$toolkit
         else
           var=DEFAULT_wxUSE_$toolkit
+
+          eval "version=\$DEFAULT_wx${toolkit}_VERSION"
+          if test "x$version" != "x"; then
+            eval "wx${toolkit}_VERSION=$version"
+          fi
         fi
         eval "wxUSE_$toolkit=\$${var}"
       done
@@ -10532,6 +10522,13 @@ echo "$as_me: error: Please specify at most one toolkit (maybe some are cached i
    { (exit 1); exit 1; }; }
     esac
 
+    # to be removed when --disable-gtk2 isn't needed
+    if test "x$wxUSE_GTK2" = "xyes"; then
+        wxGTK_VERSION=2
+    elif test "x$wxUSE_GTK2" = "xno"; then
+        wxGTK_VERSION=1
+    fi
+
         for toolkit in `echo $ALL_TOOLKITS`; do
       var=wxUSE_$toolkit
       eval "value=\$${var}"
@@ -10540,6 +10537,10 @@ echo "$as_me: error: Please specify at most one toolkit (maybe some are cached i
         eval "cache=\$${cache_var}"
         if test "$cache" = 1; then
           echo "$var=$value" >> ${wx_arg_cache_file}
+          eval "version=\$wx${toolkit}_VERSION"
+          if test "x$version" != "x"; then
+            echo "wx${toolkit}_VERSION=$version" >> ${wx_arg_cache_file}
+          fi
         fi
         if test "$value" = 1; then
           toolkit_echo=`echo $toolkit | tr "[A-Z]" "[a-z]"`
@@ -19676,6 +19677,11 @@ cat >>confdefs.h <<_ACEOF
 _ACEOF
 
 
+if test "$ac_cv_sizeof_wchar_t" != "0"; then
+    wxUSE_WCHAR_T=yes
+else
+    wxUSE_WCHAR_T=no
+fi
 
 echo "$as_me:$LINENO: checking for va_copy" >&5
 echo $ECHO_N "checking for va_copy... $ECHO_C" >&6
@@ -23348,6 +23354,19 @@ echo "$as_me: WARNING: system tiff library not found, will use built-in instead"
 fi
 
 
+if test "$wxUSE_WCHAR_T" != "yes"; then
+    if test "$wxUSE_EXPAT" != "no"; then
+        { echo "$as_me:$LINENO: WARNING: wxWidgets requires wchar_t to use expat, disabling" >&5
+echo "$as_me: WARNING: wxWidgets requires wchar_t to use expat, disabling" >&2;}
+        wxUSE_EXPAT=no
+    fi
+    if test "$wxUSE_XML" != "no"; then
+        { echo "$as_me:$LINENO: WARNING: wxWidgets requires wchar_t to use xml, disabling" >&5
+echo "$as_me: WARNING: wxWidgets requires wchar_t to use xml, disabling" >&2;}
+        wxUSE_XML=no
+    fi
+fi
+
 if test "$wxUSE_EXPAT" != "no"; then
     wxUSE_XML=yes
     cat >>confdefs.h <<\_ACEOF
@@ -24281,8 +24300,8 @@ echo "${ECHO_T}" >&6
                     GTK_MODULES=gthread
                 fi
 
-                                                wx_cv_lib_gtk=
-                if test "x$wxUSE_GTK2" = "xyes"; then
+                                wx_cv_lib_gtk=
+                if test "x$wxGTK_VERSION" != "x1"; then
                     # Check whether --enable-gtktest or --disable-gtktest was given.
 if test "${enable_gtktest+set}" = set; then
   enableval="$enable_gtktest"
@@ -24585,7 +24604,10 @@ rm -f conftest.err conftest.$ac_objext \
 
   rm -f conf.gtktest
 
-                else
+                fi
+
+                                if test -z "$wx_cv_lib_gtk"; then
+                    if test "x$wxGTK_VERSION" = "x1" -o "x$wxGTK_VERSION" = "xany" ; then
 
 # Check whether --with-gtk-prefix or --without-gtk-prefix was given.
 if test "${with_gtk_prefix+set}" = set; then
@@ -24900,7 +24922,7 @@ rm -f conftest.err conftest.$ac_objext \
   rm -f conf.gtktest
 
 
-                    if test -z "$wx_cv_lib_gtk"; then
+                        if test -z "$wx_cv_lib_gtk"; then
 
 # Check whether --with-gtk-prefix or --without-gtk-prefix was given.
 if test "${with_gtk_prefix+set}" = set; then
@@ -25214,6 +25236,7 @@ rm -f conftest.err conftest.$ac_objext \
 
   rm -f conf.gtktest
 
+                        fi
                     fi
                 fi
 
@@ -25243,16 +25266,20 @@ echo "${ECHO_T}$wx_cv_lib_gtk" >&6
             1.2.3)  WXGTK12=1
                     ;;
             *)      { { echo "$as_me:$LINENO: error:
-Please check that gtk-config is in path, the directory
-where GTK+ libraries are installed (returned by
-'gtk-config --libs' command) is in LD_LIBRARY_PATH or
-equivalent variable and GTK+ is version 1.2.3 or above.
+The development files for GTK+ were not found. For GTK+ 2, please
+ensure that pkg-config is in the path and that gtk+-2.0.pc is
+installed. For GTK+ 1.2 please check that gtk-config is in the path,
+and that the version is 1.2.3 or above. Also check that the
+libraries returned by 'pkg-config gtk+-2.0 --libs' or 'gtk-config
+--libs' are in the LD_LIBRARY_PATH or equivalent.
                             " >&5
 echo "$as_me: error:
-Please check that gtk-config is in path, the directory
-where GTK+ libraries are installed (returned by
-'gtk-config --libs' command) is in LD_LIBRARY_PATH or
-equivalent variable and GTK+ is version 1.2.3 or above.
+The development files for GTK+ were not found. For GTK+ 2, please
+ensure that pkg-config is in the path and that gtk+-2.0.pc is
+installed. For GTK+ 1.2 please check that gtk-config is in the path,
+and that the version is 1.2.3 or above. Also check that the
+libraries returned by 'pkg-config gtk+-2.0 --libs' or 'gtk-config
+--libs' are in the LD_LIBRARY_PATH or equivalent.
                             " >&2;}
    { (exit 1); exit 1; }; }
                     ;;
@@ -29323,7 +29350,48 @@ else
         else
           wx_cv_version_script=no
         fi
+
+                                                                                                if test $wx_cv_version_script = yes
+        then
+          echo "struct B { virtual ~B() { } }; \
+                struct D : public B { }; \
+                void F() { D d; }" > conftest.cpp
+
+          if { ac_try='
+                $CXX -shared -fPIC -o conftest1.output $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.cpp
+                -Wl,--version-script,conftest.sym >/dev/null 2>/dev/null'
+  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+  (eval $ac_try) 2>&5
+  ac_status=$?
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); }; } &&
+             { ac_try='
+                $CXX -shared -fPIC -o conftest2.output $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.cpp
+                -Wl,--version-script,conftest.sym conftest1.output >/dev/null 2>/dev/null'
+  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+  (eval $ac_try) 2>&5
+  ac_status=$?
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); }; }
+          then
+            if { ac_try='
+                  $CXX -shared -fPIC -o conftest3.output $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.cpp
+                  -Wl,--version-script,conftest.sym conftest2.output conftest1.output >/dev/null 2>/dev/null'
+  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+  (eval $ac_try) 2>&5
+  ac_status=$?
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); }; }
+            then
+              wx_cv_version_script=yes
+            else
+              wx_cv_version_script=no
+            fi
+          fi
+        fi
+
         rm -f conftest.output conftest.stderr conftest.sym conftest.cpp
+        rm -f conftest1.output conftest2.output conftest3.output
 
 fi
 echo "$as_me:$LINENO: result: $wx_cv_version_script" >&5
@@ -29796,9 +29864,9 @@ fi
     MACSETFILE="\$(SETFILE)"
 
             if test "$wxUSE_MAC" = 1; then
-        MACRESCOMP="\$(RESCOMP) -d __DARWIN__ -t APPL Carbon.r ${LIBWXMACRES} -o"
+        MACRESCOMP="\$(RESCOMP) -d __DARWIN__ -t APPL Carbon.r -o"
 
-                        MACRESWXCONFIG="${RESCOMP} -d __DARWIN__ -t APPL Carbon.r \\\${exec_prefix}/lib/${WX_RESOURCES_MACOSX_ASCII} -o"
+                        MACRESWXCONFIG="${RESCOMP} -d __DARWIN__ -t APPL Carbon.r -o"
     else
         MACRESCOMP="echo -n | \$(RESCOMP) -d __DARWIN__ -t APPL ${LIBWXMACRES} -o"
         MACRESWXCONFIG="echo -n \\\| ${RESCOMP} -d __DARWIN__ -t APPL \\\${exec_prefix}/lib/${WX_RESOURCES_MACOSX_ASCII} -o"
@@ -30407,7 +30475,7 @@ _ACEOF
 fi
 
 
-if test "$ac_cv_sizeof_wchar_t" != "0"; then
+if test "$wxUSE_WCHAR_T" = "yes"; then
     cat >>confdefs.h <<\_ACEOF
 #define wxUSE_WCHAR_T 1
 _ACEOF
@@ -35364,6 +35432,8 @@ if test "$TOOLKIT" != "MSW" -a "$USE_OS2" != 1; then
     if test "$wxUSE_DYNAMIC_LOADER" = "yes" -o "$wxUSE_DYNLIB_CLASS" = "yes" ; then
         if test "$USE_DARWIN" = 1; then
                         HAVE_DL_FUNCS=1
+        elif test "$USE_DOS" = 1; then
+            HAVE_DL_FUNCS=0
         else
 
 for ac_func in dlopen
@@ -35917,7 +35987,7 @@ done
 
         if test "$HAVE_DL_FUNCS" = 0; then
             if test "$HAVE_SHL_FUNCS" = 0; then
-              if test "$USE_UNIX" = 1; then
+              if test "$USE_UNIX" = 1 -o "$USE_DOS" = 1; then
                   { echo "$as_me:$LINENO: WARNING: Missing dynamic loading support, several features will be disabled" >&5
 echo "$as_me: WARNING: Missing dynamic loading support, several features will be disabled" >&2;}
                   wxUSE_DYNAMIC_LOADER=no
@@ -36672,7 +36742,9 @@ echo "$as_me: WARNING: Creating debug reports not supported under OS/2 yet, disa
 #define wxUSE_DEBUGREPORT 1
 _ACEOF
 
-        SAMPLES_SUBDIRS="$SAMPLES_SUBDIRS debugrpt"
+        if test "$wxUSE_ON_FATAL_EXCEPTION" = "yes"; then
+            SAMPLES_SUBDIRS="$SAMPLES_SUBDIRS debugrpt"
+        fi
     fi
 fi
 
@@ -42195,7 +42267,8 @@ EOF
       *-*-sunos4* | \
       *-*-osf* | \
       *-*-dgux5* | \
-      *-*-sysv5* )
+      *-*-sysv5* | \
+      *-pc-msdosdjgpp )
               ;;
 
       *)